export declare type SitemapXmlOptions = {
    hostname?: string;
    urlSet?: Array<{
        loc: string;
        lastmod?: string;
        changefreq?: Changefreq | string;
        priority?: number;
    }>;
    sitemapIndex?: Array<{
        loc: string;
        lastmod?: string;
    }>;
    pretty?: boolean;
};
export declare enum Changefreq {
    always = "always",
    hourly = "hourly",
    daily = "daily",
    weekly = "weekly",
    monthly = "monthly",
    yearly = "yearly",
    never = "never"
}
/**
 * For more information, see:
 *  - https://www.sitemaps.org/protocol.html
 */
export declare function generateSitemapXml(options: SitemapXmlOptions): string;
